# std::filesystem::directory_entry::operator=

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

directory_entry& operator=( const directory_entry& other ) = default; | (1) | (since C++17)
directory_entry& operator=( directory_entry&& other ) noexcept = default; | (2) | (since C++17)

Replaces the contents of the directory entry (path and cached attributes, if any) with the contents of `other`.

Both copy- and move-assignment operators for directory_entry are are defaulted.

### Parameters

other | - | other directory_entry

### Return value

*this

### Example

| This section is incomplete Reason: no example

### See also

assign | assigns contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/operator%3D&oldid=105013"